
\usetikzlibrary{backgrounds,shapes,arrows,positioning,calc,snakes,fit}


\definecolor{lb}{RGB}{105,210,231}
\definecolor{white}{RGB}{240,255,255}
\definecolor{sable}{RGB}{224,228,204}



\tikzstyle{cir}=[circle, draw, minimum width=12pt, line width=2pt]
\tikzstyle{squ}=[rectangle, draw, minimum width=12pt, minimum height=12pt, line width=2pt]
\tikzstyle{tri}=[regular polygon, regular polygon sides=3, draw, minimum width=12pt, minimum height=12pt, line width=2pt]
\tikzstyle{hex}=[regular polygon, regular polygon sides=5, draw, minimum width=12pt, minimum height=12pt, line width=2pt]
\tikzstyle{sta}=[star,star points=5, draw, minimum width=12pt, minimum height=12pt, line width=2pt]
\tikzstyle{graphline}=[draw=black,line join=miter,line cap=butt,even odd rule,line width=1.500pt]
\tikzstyle{proto}=[draw=lb, fill=white, line join=round,line cap=round,miter
    							limit=6.00,line width=3pt,rounded corners=0.1000cm]
\tikzstyle{graphred}=[draw=red,line join=miter,line cap=butt,even odd rule,line width=1.500pt]
\tikzstyle{graphgray}=[draw=gray!20,line join=miter,line cap=butt,even odd rule,line width=1.500pt]


\begin{tikzpicture}[y=0.80pt, x=0.8pt,yscale=-1, inner sep=0pt, outer sep=0pt]
\path[draw=black,line join=bevel,line cap=round,miter limit=4.00,line
  width=0.800pt,rounded corners=0.5000cm] (184.6870,89.5555) rectangle
  (643.5169,376.8504);


\node[cir](n0) at (280-30,155) {};
\node[squ](n1) at (325-30,195) {};
\node[tri](n2) at (315-30,240) {};
\node[hex](n3) at (240-30,305) {};
\node[sta](n4) at (240-30,250) {};

%\path[graphline] (n0) edge (n1);
%\path[graphline] (n1) edge (n2);
%\path[graphline] (n1) edge (n4);
%\path[graphline] (n2) edge (n4);
%\path[graphline] (n2) edge (n3);
%\path[graphline] (n3) edge (n4);

\draw[graphred] (n1) -- (n4) node [ above=2pt, fill=white] {};
\draw[graphline] (n0) -- (n1) node [ above=2pt, fill=white] {};
\draw[graphline] (n1) -- (n2) node [ above=2pt, fill=white] {};
\draw[graphline] (n4) -- (n2) node [ above=2pt, fill=white] {};
\draw[graphline] (n3) -- (n2) node [ above=2pt, fill=white] {};
\draw[graphline] (n3) -- (n4) node [ above=2pt, fill=white] {};
%\draw[-latex] (340,195) -- (365,195);

\draw[red,  line width=5pt,->,>=fast cap] (340-40,195) -- (365-30,195);



\node[cir](nn0) at (280+120,155) {};
\node[squ](nn1) at (325+120,195) {};
\node[tri](nn2) at (315+120,240) {};
\node[hex](nn3) at (240+120,305) {};
\node[sta](nn4) at (240+120,250) {};

%\path[graphline] (n0) edge (n1);
%\path[graphline] (n1) edge (n2);
%\path[graphline] (n1) edge (n4);
%\path[graphline] (n2) edge (n4);
%\path[graphline] (n2) edge (n3);
%\path[graphline] (n3) edge (n4);

\draw[graphgray] (nn1) -- (nn4) node [fill=white] {};
\draw[graphline] (nn0) -- (nn1) node [ above=2pt, fill=white] {};
\draw[graphline] (nn1) -- (nn2) node [ above=2pt, fill=white] {};
\draw[graphline] (nn4) -- (nn2) node [ above=2pt, fill=white] {};
\draw[graphline] (nn3) -- (nn2) node [ above=2pt, fill=white] {};
\draw[graphline] (nn3) -- (nn4) node [ above=2pt, fill=white] {};
%\draw[-latex] (340,195) -- (365,195);

\draw[green,  line width=5pt,->,>=fast cap] (340+110,195) -- (365+120,195);




\node[cir](nnn0) at (280+270,155) {};
\node[squ](nnn1) at (325+300,195) {};
\node[tri](nnn2) at (315+270,240) {};
\node[hex](nnn3) at (240+270,305) {};
\node[sta](nnn4) at (240+270,250) {};

%\path[graphline] (n0) edge (n1);
%\path[graphline] (n1) edge (n2);
%\path[graphline] (n1) edge (n4);
%\path[graphline] (n2) edge (n4);
%\path[graphline] (n2) edge (n3);
%\path[graphline] (n3) edge (n4);

%\draw[graphline] (nn1) -- (nn4) node [midway, fill=white] {x};
\draw[graphline] (nnn0) -- (nnn1) node [ above=2pt, fill=white] {};
\draw[graphline] (nnn1) -- (nnn2) node [ above=2pt, fill=white] {};
\draw[graphline] (nnn4) -- (nnn2) node [ above=2pt, fill=white] {};
\draw[graphline] (nnn3) -- (nnn2) node [ above=2pt, fill=white] {};
\draw[graphline] (nnn3) -- (nnn4) node [ above=2pt, fill=white] {};
%\draw[-latex] (340,195) -- (365,195);

\draw[sable,  line width=5pt,->,>=fast cap] (340+250,195) -- (365+260,195);

\node[align=center] at (280-30,155+190) {Direction \\ contraintes};
\node[align=center] at (280+120,155+190) {D\'eduction de graphe \\ calculs locaux};
\node[align=center] at (280+270,155+190) {Mouvement\\ maintien connexit\'e};

\end{tikzpicture}

